B2BB2B LLM

POST /v1/responses

Punt final compatible amb OpenAI Responses per a text, eines, cerca web allotjada i Codex CLI.

POST /v1/responses

Sol·licitud

curl https://api.model-gate.com/v1/responses \
  -H "Authorization: Bearer mg_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.4",
    "input": [
      {
        "role": "user",
        "content": [{"type": "input_text", "text": "Summarize the release."}]
      }
    ],
    "stream": false
  }'

Resposta

{
  "id": "resp_example",
  "object": "response",
  "status": "completed",
  "model": "gpt-5.4",
  "output": [
    {
      "type": "message",
      "role": "assistant",
      "content": [{"type": "output_text", "text": "The release adds synchronized documentation and model aliases."}]
    }
  ],
  "usage": {
    "input_tokens": 18,
    "output_tokens": 14,
    "total_tokens": 32
  }
}

Cerca web allotjada

Afegeix:

{
  "tools": [{"type": "web_search"}],
  "tool_choice": "required",
  "include": ["web_search_call.action.sources"]
}

No hi ha cap suport separat /v1/web-search contracte. Utilitzeu l'eina Responses API.

Async

"async": true només és compatible amb "stream": false.